# stack File Reference

`#include <bits/stl_algobase.h>`
`#include <bits/allocator.h>`
`#include <bits/stl_construct.h>`
`#include <bits/stl_uninitialized.h>`
`#include <deque>`
`#include <bits/stl_stack.h>`

Include dependency graph for stack:

This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Detailed Description

This is a Standard C++ Library header. You should `#include` this header in your programs, rather than any of the "st[dl]_*.h" implementation files.

Definition in file stack.